Skip to main content
`Ctrl`+`K`

# PetscRegressorRegister

Adds a method to the `PetscRegressor` package.

## Synopsis

    PetscErrorCode PetscRegressorRegister(const char sname[], PetscErrorCode (*function)(PetscRegressor))

Not collective

## Input Parameters

- sname - name of a new user-defined regressor

- function - routine to create method context

## Notes

`PetscRegressorRegister()` may be called multiple times to add several user-defined regressors.

## Example Usage

       PetscRegressorRegister("my_regressor",MyRegressorCreate);

Then, your regressor can be chosen with the procedural interface via

         PetscRegressorSetType(regressor,"my_regressor")

or at runtime via the option

        -regressor_type my_regressor

## See Also

`PetscRegressorRegisterAll()`

## Level

advanced

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages